org.red5.io.object

## Class BaseInput

- java.lang.Object
- - org.red5.io.object.BaseInput

Direct Known Subclasses:
  Input, Input

    public class BaseInput
    extends Object

BaseInput represents a way to map input to a HashMap. This class is meant to be extended.

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard, Codegent Ltd (luke@codegent.com)

### Field Summary

Fields
`protected int` `refId` References id
`protected Map<Integer,Object>` `refMap` References map

### Constructor Summary

Constructors
Constructor and Description
`BaseInput()`

### Method Summary

Methods
`void` `clearReferences()` Clears the map
`protected Object` `getReference(int id)` Returns the object with the parameters id
`protected void` `storeReference(int refId, Object newRef)` Replace a referenced object with another one.
`protected int` `storeReference(Object obj)` Store an object into a map

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### refMap

    protected Map<Integer,Object> refMap

References map

#### refId

    protected int refId

References id

### Constructor Detail

#### BaseInput

    public BaseInput()

### Method Detail

#### storeReference

    protected int storeReference(Object obj)

Store an object into a map

Parameters:
  `obj` - Object to store

#### storeReference

    protected void storeReference(int refId,
                      Object newRef)

Replace a referenced object with another one. This is used by the AMF3 deserializer to handle circular references.

Parameters:
  `refId` -
  `newRef` -

#### clearReferences

    public void clearReferences()

Clears the map

#### getReference

    protected Object getReference(int id)

Returns the object with the parameters id

Parameters:
  `id` - Object reference id
Returns:
  Object Object reference with given id